use Test::More tests => 12;
use Dpkg::IPC;

my $pwd = `pwd`;
chdir "test";
if ( $ENV{PKG_TEST_LOCAL} ) {
    $ENV{PERL5LIB} = '.';
}
spawn( exec => [ 'dh_auto_test', '--buildsystem=nodejs' ], wait_child => 1 );
ok( -e 'foo', 'File "foo" created' ) or diag `ls -l`;
unlink('foo');
spawn( exec => [ 'dh_auto_install', '--buildsystem=nodejs' ], wait_child => 1 );
foreach (
    qw(
    debian/foo/usr/share/nodejs/foo/package.json
    debian/foo/usr/share/nodejs/foo/index.js
    debian/foo/usr/share/nodejs/foo/node_modules/comp-one/package.json
    debian/foo/usr/share/nodejs/foo/node_modules/comp-one/index.js
    debian/foo/usr/share/nodejs/foo/node_modules/comp-two/test.js
    debian/foo/usr/share/nodejs/foo/node_modules/comp-two/package.json
    debian/foo/usr/share/nodejs/foo/node_modules/comp-two/index.js
    debian/foo/usr/share/nodejs/foo/node_modules/comp_three/index.js
    debian/foo/usr/share/nodejs/foo/node_modules/comp_three/package.json
    )
  )
{
    ok( -f $_, "$_ installed" );
}
foreach (
    qw(
    debian/foo/usr/share/nodejs/foo/node_modules/comp-one/test.js
    debian/foo/usr/share/nodejs/foo/node_modules/comp-two/tests.js
    )
  )
{
    ok( !-f $_, "$_ not installed" );
}
spawn( exec => [ 'dh_auto_clean', '--buildsystem=nodejs' ], wait_child => 1 );
spawn( exec => ['dh_clean'], wait_child => 1 );
chdir $pwd;
